"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeForeignAddressSeeds = void 0;
const connect_sdk_1 = require("@wormhole-foundation/connect-sdk");
const connect_sdk_aptos_1 = require("@wormhole-foundation/connect-sdk-aptos");
const foreignAddressSeedLayout = [
    { name: "tokenBridgeAddress", ...connect_sdk_1.layoutItems.universalAddressItem },
    { name: "chain", ...connect_sdk_1.layoutItems.chainItem() },
    {
        name: "domainSeparator",
        binary: "bytes",
        custom: connect_sdk_1.encoding.bytes.encode(connect_sdk_aptos_1.APTOS_SEPARATOR),
        omit: true,
    },
    { name: "tokenId", ...connect_sdk_1.layoutItems.universalAddressItem },
    // from https://github.com/aptos-labs/aptos-core/blob/25696fd266498d81d346fe86e01c330705a71465/aptos-move/framework/aptos-framework/sources/account.move#L90-L95
    { name: "domainSeparator", binary: "bytes", custom: new Uint8Array([0xff]), omit: true },
];
const serializeForeignAddressSeeds = (data) => connect_sdk_1.layout.serializeLayout(foreignAddressSeedLayout, data);
exports.serializeForeignAddressSeeds = serializeForeignAddressSeeds;
//# sourceMappingURL=foreignAddress.js.map